CRAN Package Check Results for Package markovchain

Last updated on 2019-04-23 07:47:58 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.6.9.14 129.76 268.38 398.14 OK
r-devel-linux-x86_64-debian-gcc 0.6.9.14 106.29 202.25 308.54 OK
r-devel-linux-x86_64-fedora-clang 0.6.9.14 542.60 NOTE
r-devel-linux-x86_64-fedora-gcc 0.6.9.14 515.97 OK
r-devel-windows-ix86+x86_64 0.6.9.14 336.00 199.00 535.00 WARN
r-patched-linux-x86_64 0.6.9.14 126.00 268.18 394.18 OK
r-patched-solaris-x86 0.6.9.14 545.90 OK
r-release-linux-x86_64 0.6.9.14 124.01 245.55 369.56 OK
r-release-windows-ix86+x86_64 0.6.9.14 243.00 240.00 483.00 WARN
r-release-osx-x86_64 0.6.9.14 NOTE
r-oldrel-windows-ix86+x86_64 0.6.9.11 276.00 414.00 690.00 OK
r-oldrel-osx-x86_64 0.6.9.14 ERROR

Additional issues

noLD

Check Details

Version: 0.6.9.14
Check: installed package size
Result: NOTE
     installed size is 8.4Mb
     sub-directories of 1Mb or more:
     libs 6.7Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-release-osx-x86_64

Version: 0.6.9.14
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
    --- re-building 'GSoC-2017_additions.Rmd' using rmarkdown
    Package: markovchain
    Version: 0.6.9.14
    Date: 2019-01-20
    BugReport: http://github.com/spedygiorgio/markovchain/issues
    
    --- finished re-building 'GSoC-2017_additions.Rmd'
    
    --- re-building 'an_introduction_to_markovchain_package.Rmd' using rmarkdown
    Error: processing vignette 'an_introduction_to_markovchain_package.Rmd' failed with diagnostics:
    pandoc version 2.2 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    --- failed re-building 'an_introduction_to_markovchain_package.Rmd'
    
    --- re-building 'complicateSteadyStates.Rmd' using rmarkdown
    Package: markovchain
    Version: 0.6.9.14
    Date: 2019-01-20
    BugReport: http://github.com/spedygiorgio/markovchain/issues
    
    --- finished re-building 'complicateSteadyStates.Rmd'
    
    --- re-building 'higher_order_markov_chains.Rmd' using rmarkdown
    Error: processing vignette 'higher_order_markov_chains.Rmd' failed with diagnostics:
    pandoc version 2.2 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    --- failed re-building 'higher_order_markov_chains.Rmd'
    
    --- re-building 'markovchainCrashIntro.Rmd' using rmarkdown
    --- finished re-building 'markovchainCrashIntro.Rmd'
    
    SUMMARY: processing the following files failed:
     'an_introduction_to_markovchain_package.Rmd'
     'higher_order_markov_chains.Rmd'
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-devel-windows-ix86+x86_64

Version: 0.6.9.14
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Package: markovchain
    Version: 0.6.9.14
    Date: 2019-01-20
    BugReport: http://github.com/spedygiorgio/markovchain/issues
    
    Error: processing vignette 'an_introduction_to_markovchain_package.Rmd' failed with diagnostics:
    pandoc version 2.2 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavor: r-release-windows-ix86+x86_64

Version: 0.6.9.14
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavor: r-oldrel-osx-x86_64